MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
sc::DiagMolecularHessian Class Reference

DiagMolecularHessian is an implementation of MolecularHessian that returns a hessian that is a diagonal matrix. More...

`#include <hess.h>`

Inheritance diagram for sc::DiagMolecularHessian:

List of all members.

## Public Member Functions

| DiagMolecularHessian (const Ref< KeyVal > &)
| The DiagMolecularHessian KeyVal constructor is used to generate a DiagMolecularHessian object from the input.
| DiagMolecularHessian (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
RefSymmSCMatrix | cartesian_hessian ()
| Return the hessian in cartesian coordinates.

## Protected Attributes

double | diag_

## Detailed Description

DiagMolecularHessian is an implementation of MolecularHessian that returns a hessian that is a diagonal matrix.

## Constructor & Destructor Documentation

sc::DiagMolecularHessian::DiagMolecularHessian | ( | const Ref< KeyVal > & |  | ) |

The DiagMolecularHessian KeyVal constructor is used to generate a DiagMolecularHessian object from the input.

It reads the keywords below.

Keyword | Type | Default | Description
`diag` | double | 1.0 | Specifies the diagonal elements of the hessian.

## Member Function Documentation

void sc::DiagMolecularHessian::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::MolecularHessian.

The documentation for this class was generated from the following file:

- hess.h